Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.converters
[Java] Class XML.Builder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              grails.converters.XML.Builder

    public class XML.Builder
    extends groovy.util.BuilderSupport

Constructor Summary
`XML.Builder(XML xml)`

Method Summary
`protected java.lang.Object` | `createNode(java.lang.Object name)`
`protected java.lang.Object` | `createNode(java.lang.Object name, java.lang.Object value)`
`protected java.lang.Object` | `createNode(java.lang.Object name, java.util.Map attributes)`
`protected java.lang.Object` | `createNode(java.lang.Object name, java.util.Map attributes, java.lang.Object value)`
`void` | `execute(groovy.lang.Closure callable)`
`protected void` | `nodeCompleted(java.lang.Object o, java.lang.Object o1)`
`protected void` | `setParent(java.lang.Object o, java.lang.Object o1)`

Methods inherited from class groovy.util.BuilderSupport
groovy.util.BuilderSupport#invokeMethod(java.lang.String), groovy.util.BuilderSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.util.BuilderSupport#setProperty(java.lang.String, java.lang.Object), groovy.util.BuilderSupport#getProperty(java.lang.String), groovy.util.BuilderSupport#getMetaClass(), groovy.util.BuilderSupport#setMetaClass(groovy.lang.MetaClass), groovy.util.BuilderSupport#wait(), groovy.util.BuilderSupport#wait(long), groovy.util.BuilderSupport#wait(long, int), groovy.util.BuilderSupport#equals(java.lang.Object), groovy.util.BuilderSupport#toString(), groovy.util.BuilderSupport#hashCode(), groovy.util.BuilderSupport#getClass(), groovy.util.BuilderSupport#notify(), groovy.util.BuilderSupport#notifyAll()

Methods inherited from class groovy.lang.GroovyObjectSupport
groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Constructor Detail

### XML.Builder

    public XML.Builder(XML xml)

Method Detail

### createNode

    @Override
    protected java.lang.Object createNode(java.lang.Object name)

### createNode

    @SuppressWarnings("rawtypes")
    protected java.lang.Object createNode(java.lang.Object name, java.lang.Object value)

### createNode

    for (Object o : attributes.entrySet()) {
    Map.Entry attribute = (Map.Entry) o;
    protected java.lang.Object createNode(java.lang.Object name, java.util.Map attributes)

### createNode

    xml.convertAnother(value);
    }
    protected java.lang.Object createNode(java.lang.Object name, java.util.Map attributes, java.lang.Object value)

### execute

    public void execute(groovy.lang.Closure callable)

### nodeCompleted

    protected void nodeCompleted(java.lang.Object o, java.lang.Object o1)

### setParent

    protected void setParent(java.lang.Object o, java.lang.Object o1)

Groovy Documentation